{% extends "/default/default.twig" %}
{% block title %}Lista comuni{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/template/default/css/datatables.css" rel="stylesheet" type="text/css">
{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-md-12">
            <h1 class="titleHeader">Lista comuni</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="dataTable_wrapper">
                <table id="dataTables-comuni" class="table table-striped table-bordered table-hover table-responsive" width="100%">
                    <thead>
                    <tr>
                        <th>comune</th>
                        <th>tot nominativi</th>
                        <th width="200px"></th>
                    </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>

{% endblock %}


{% block adding_js %}
    <!-- DataTables JavaScript -->
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script src="{{dirDefault}}/template/default/js/jquery.datatable.appConfig.js"></script>
    <script>
        var status;
        $('#dataTables-comuni').DataTable( {
            processing: true,
            serverSide: true,
            ajax: {
                url: '{{dirDefault}}/comune/load_lista',
                type: 'POST'
            },
            stateSave: true,
            columns: [
                {
                    "class":          "nome_comune",
                    "orderable":      true,
                    "data":           "nome_comune",
                    "defaultContent": ""
                },
                {
                    "class":          "nominativi",
                    "orderable":      true,
                    "data":           "nominativi",
                    "defaultContent": ""
                },
                {
                    "class":          "id_comune",
                    "orderable":      false,
                    "data":           "id_comune",
                    "render": function (data, type, row ) {
                        return '' +
                                '<a href="{{dirDefault}}/comune/dettagli/nominativi/'+data+'" class="btn btn-primary" style"width:80px">Nominativi</a>&nbsp;' +
                                '<a href="{{dirDefault}}/comune/dettagli/mappa/'+data+'" class="btn btn-info" style"width:80px" >Mappa</a>' +
                                '';
                    },
                    "defaultContent": ""
                }
            ],
            order: [
                [1, 'asc'],
            ]
        });
    </script>
{% endblock %}